## globus-gram-job-manager-lsf 1.1

=== debian/changelog ===
globus-gram-job-manager-lsf (1.1-2) unstable; urgency=low

  * Add arm64 to the list of 64 bit architectures

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 27 May 2013 06:27:09 +0200

globus-gram-job-manager-lsf (1.1-1) unstable; urgency=low

  * Initial release (Closes: #696104)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 16 Dec 2012 20:22:57 +0100
