=== debian/control ===
Source: globus-gram-job-manager-lsf
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8), libglobus-gram-protocol-dev (>= 11), libglobus-scheduler-event-generator-dev (>= 4), libglobus-common-dev (>= 14), libglobus-xio-dev (>= 3)
Standards-Version: 3.9.4
Section: net
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-gram-job-manager-lsf
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-gram-job-manager-lsf
Homepage: http://www.globus.org/

Package: globus-gram-job-manager-lsf
Provides: globus-gram-job-manager-setup-lsf
Replaces: globus-gram-job-manager-setup-lsf (<< 2.6), globus-gram-job-manager-setup-lsf-doc (<< 2.6)
Conflicts: globus-gram-job-manager-setup-lsf (<< 2.6), globus-gram-job-manager-setup-lsf-doc (<< 2.6)
Section: net
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, globus-gram-job-manager (>= 13), globus-gram-job-manager-scripts (>= 4), globus-gass-cache-program (>= 5), globus-common-progs (>= 14), globus-gatekeeper (>= 9)
Recommends: globus-gram-job-manager-lsf-setup-poll | globus-gram-job-manager-lsf-setup-seg
Description: Globus Toolkit - LSF Job Manager Support
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-gram-job-manager-lsf package contains:
 LSF Job Manager Support

Package: globus-gram-job-manager-lsf-setup-poll
Section: net
Architecture: all
Depends: globus-gram-job-manager-lsf (= ${source:Version}), globus-gram-job-manager-scripts (>= 4), ${misc:Depends}
Description: Globus Toolkit - LSF Job Manager Support using polling
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-gram-job-manager-lsf-setup-poll package contains:
 LSF Job Manager Support using polling to monitor job state

Package: globus-gram-job-manager-lsf-setup-seg
Section: net
Architecture: any
Depends: globus-gram-job-manager-lsf (= ${source:Version}), globus-gram-job-manager-scripts (>= 4), globus-scheduler-event-generator-progs (>= 4), ${misc:Depends}, ${shlibs:Depends}
Description: Globus Toolkit - LSF Job Manager Support using SEG
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-gram-job-manager-lsf-setup-seg package contains:
 LSF Job Manager Support using the scheduler event generator to monitor job
 state

Package: globus-gram-job-manager-lsf-dbg
Section: debug
Priority: extra
Architecture: any
Depends: globus-gram-job-manager-lsf-setup-seg (= ${binary:Version}), ${misc:Depends}
Description: Globus Toolkit - LSF Job Manager Support Debug Symbols
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-gram-job-manager-lsf-dbg package contains:
 LSF Job Manager Support Debug Symbols
