## globus-gram-job-manager-lsf 1.2

=== debian/changelog ===
globus-gram-job-manager-lsf (1.2-2) unstable; urgency=medium

  * Fix logfile location

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 10 Jan 2014 10:01:23 +0100

globus-gram-job-manager-lsf (1.2-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.5
  * Drop patch globus-gram-job-manager-desc.patch (fixed upstream)
  * Implement Multi-Arch support

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 11 Nov 2013 20:29:15 +0100
