=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: globus-gram-job-manager-lsf
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8), libglobus-gram-protocol-dev (>= 11), libglobus-scheduler-event-generator-dev (>= 4), libglobus-common-dev (>= 14), libglobus-xio-dev (>= 3)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8.16), libglobus-common-dev (>= 14.10), libglobus-scheduler-event-generator-dev (>= 4.7-3~), libglobus-gram-protocol-dev (>= 11.3-4~), libglobus-xio-dev (>= 3.6)
+Standards-Version: 3.9.5
 Section: net
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-gram-job-manager-lsf
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-gram-job-manager-lsf
@@ -14,6 +14,7 @@
 Conflicts: globus-gram-job-manager-setup-lsf (<< 2.6), globus-gram-job-manager-setup-lsf-doc (<< 2.6)
 Section: net
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${perl:Depends}, globus-gram-job-manager (>= 13), globus-gram-job-manager-scripts (>= 4), globus-gass-cache-program (>= 5), globus-common-progs (>= 14), globus-gatekeeper (>= 9)
 Recommends: globus-gram-job-manager-lsf-setup-poll | globus-gram-job-manager-lsf-setup-seg
 Description: Globus Toolkit - LSF Job Manager Support
@@ -29,6 +30,7 @@
 Package: globus-gram-job-manager-lsf-setup-poll
 Section: net
 Architecture: all
+Multi-Arch: foreign
 Depends: globus-gram-job-manager-lsf (= ${source:Version}), globus-gram-job-manager-scripts (>= 4), ${misc:Depends}
 Description: Globus Toolkit - LSF Job Manager Support using polling
  The Globus Toolkit is an open source software toolkit used for
@@ -43,6 +45,7 @@
 Package: globus-gram-job-manager-lsf-setup-seg
 Section: net
 Architecture: any
+Multi-Arch: same
 Depends: globus-gram-job-manager-lsf (= ${source:Version}), globus-gram-job-manager-scripts (>= 4), globus-scheduler-event-generator-progs (>= 4), ${misc:Depends}, ${shlibs:Depends}
 Description: Globus Toolkit - LSF Job Manager Support using SEG
  The Globus Toolkit is an open source software toolkit used for
@@ -59,6 +62,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: globus-gram-job-manager-lsf-setup-seg (= ${binary:Version}), ${misc:Depends}
 Description: Globus Toolkit - LSF Job Manager Support Debug Symbols
  The Globus Toolkit is an open source software toolkit used for
