=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,6 @@
 
 name = globus-gram-job-manager-lsf
 _name = globus_gram_job_manager_lsf
-version = 1.1
-soname = 1
 
 INSTALLDIR = $(CURDIR)/debian/tmp
 GLOBUSPACKAGEDIR = $(INSTALLDIR)$(_datadir)/globus/packages
@@ -12,19 +10,20 @@
 _prefix = /usr
 _bindir = $(_prefix)/bin
 _sbindir = $(_prefix)/sbin
-_libdir = $(_prefix)/lib
+_libdir = $(_prefix)/lib/$(DEB_HOST_MULTIARCH)
 _datadir = $(_prefix)/share
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc/$(name)
 
 perl_vendorlib = $(shell eval "`perl -V:installvendorlib`"; echo $$installvendorlib)
 
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 arm64 ia64 kfreebsd-amd64 ppc64 s390x sparc64))
-flavor = gcc64
+ifeq ($(DEB_HOST_ARCH_BITS), 64)
+flavor = gcc64-$(DEB_HOST_MULTIARCH)
 else
-flavor = gcc32
+flavor = gcc32-$(DEB_HOST_MULTIARCH)
 endif
 
 configure: configure-stamp
@@ -32,17 +31,23 @@
 configure-stamp:
 	dh_testdir
 
+	dh_autotools-dev_updateconfig
+
 	/usr/share/globus/globus-bootstrap.sh
 
-	dh_autotools-dev_updateconfig
-
+	BSUB=/usr/bin/bsub \
+	BQUEUES=/usr/bin/bqueues \
+	BJOBS=/usr/bin/bjobs \
+	BKILL=/usr/bin/bkill \
+	BHIST=/usr/bin/bhist \
+	BACCT=/usr/bin/bacct \
 	MPIEXEC=no \
 	MPIRUN=no \
 	./configure \
 	   --disable-static \
 	   --with-flavor=$(flavor) \
 	   --with-docdir=$(_docdir) \
-	   --with-globus-state-dir=/var/lib/globus
+	   --with-globus-state-dir=/var/log/globus
 
 	# Reduce overlinking
 	sed 's!CC -shared !CC \\$${wl}--as-needed -shared !g' -i libtool
@@ -73,10 +78,11 @@
 	# Remove autogenerated files
 
 	rm -f aclocal.m4
+	rm -f compile
 	rm -f configure
-	rm -f config.guess
-	rm -f config.sub
+	rm -f install-sh
 	rm -f ltmain.sh
+	rm -f missing
 	rm -f mkinstalldirs
 
 	rm -f doxygen/Doxyfile*
