## globus-gram-job-manager-lsf 2.5

=== debian/changelog ===
globus-gram-job-manager-lsf (2.5-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports
  * Globus Toolkit 5.2 is EOL - upload Globus Toolkit 6 to wheezy backports

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 02 Oct 2015 21:05:00 +0200

globus-gram-job-manager-lsf (2.5-1) unstable; urgency=medium

  * Update to Globus Toolkit 6.0
  * Drop GPT build system and GPT packaging metadata
  * Drop patch globus-gram-job-manager-lsf-statedir.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 25 Sep 2014 16:58:59 +0200
