## globus-gram-job-manager-lsf 2.6

=== debian/changelog ===
globus-gram-job-manager-lsf (2.6-2) unstable; urgency=medium

  * Update URLs (use toolkit.globus.org)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 16 Feb 2016 14:42:58 +0100

globus-gram-job-manager-lsf (2.6-1) unstable; urgency=medium

  * GT6 update

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 27 Oct 2014 06:09:17 +0100
