## globus-gram-job-manager-lsf 2.7

=== debian/changelog ===
globus-gram-job-manager-lsf (2.7-2) unstable; urgency=medium

  * Migrate to dbgsym packages

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 06 Jul 2017 12:58:31 +0200

globus-gram-job-manager-lsf (2.7-1) unstable; urgency=medium

  * GT6 update
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 03 Sep 2016 08:00:23 +0200

globus-gram-job-manager-lsf (2.6-3) unstable; urgency=medium

  * Replace ldconfig postinst/postrm scripts with triggers

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 04 May 2016 15:03:55 +0200
