## globus-gram-job-manager-lsf 3.0

=== debian/changelog ===
globus-gram-job-manager-lsf (3.0-5) unstable; urgency=medium

  * Enable bind-now hardening
  * Update lintian overrides due to renamed tag
  * Handle 64 bit time_t on 32 bit systems

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 06 Mar 2024 18:30:55 +0100

globus-gram-job-manager-lsf (3.0-4) unstable; urgency=medium

  * Drop old debug symbol migration from 2017

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 05 Jul 2022 21:40:40 +0200

globus-gram-job-manager-lsf (3.0-3) unstable; urgency=medium

  * Change to debhelper compat level 13
  * Remove override_dh_missing rule (--fail-missing is default)
  * Drop ancient Replaces/Conflicts/Breaks

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 14 Dec 2020 19:50:04 +0100

globus-gram-job-manager-lsf (3.0-2) unstable; urgency=medium

  * Convert debian/rules to dh tool
  * Change to debhelper compat level 10
  * Update documentation links in README file

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 12 Jul 2019 16:34:36 +0200

globus-gram-job-manager-lsf (3.0-1) unstable; urgency=medium

  * Switch upstream to Grid Community Toolkit
  * First Grid Community Toolkit release
  * Move VCS to salsa.debian.org

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 16 Sep 2018 03:16:31 +0200
