## globus-gram-job-manager-lsf 3.1

=== debian/changelog ===
globus-gram-job-manager-lsf (3.1-1) unstable; urgency=medium

  * New GCT release v6.2.20251212
  * Drop patches included in the release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 14 Dec 2025 23:05:01 +0100
