=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  pkgconf,
  libglobus-common-dev (>= 15),
  libglobus-scheduler-event-generator-dev (>= 4)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Section: net
 Vcs-Browser: https://salsa.debian.org/ellert/globus-gram-job-manager-lsf
 Vcs-Git: https://salsa.debian.org/ellert/globus-gram-job-manager-lsf.git
